Package org.jboss.classfilewriter.annotations

## Class StringAnnotationValue

- java.lang.Object
- - org.jboss.classfilewriter.annotations.AnnotationValue
  - - org.jboss.classfilewriter.annotations.StringAnnotationValue

All Implemented Interfaces:
  `WritableEntry`

    public class StringAnnotationValue
    extends AnnotationValue

A string annotation value

### Constructor Summary

Constructors
`StringAnnotationValue​(ConstPool constPool, java.lang.String name, java.lang.String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `getTag()`
`java.lang.String` `getValue()`
`void` `writeData​(ByteArrayDataOutputStream stream)`

### Methods inherited from class org.jboss.classfilewriter.annotations.AnnotationValue

`getName, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringAnnotationValue

    public StringAnnotationValue​(ConstPool constPool,
                                 java.lang.String name,
                                 java.lang.String value)

### Method Detail

#### getTag

    public char getTag()

Specified by:
  `getTag` in class `AnnotationValue`

#### writeData

    public void writeData​(ByteArrayDataOutputStream stream)
                   throws java.io.IOException

Specified by:
  `writeData` in class `AnnotationValue`
Throws:
  `java.io.IOException`

#### getValue

    public java.lang.String getValue()